org.apache.avro

## Class SchemaBuilder.BooleanBuilder<R>

- java.lang.Object
- - org.apache.avro.SchemaBuilder.PropBuilder<P>
  - - org.apache.avro.SchemaBuilder.BooleanBuilder<R>

Enclosing class:
  SchemaBuilder

    public static final class SchemaBuilder.BooleanBuilder<R>
    extends SchemaBuilder.PropBuilder<P>

Builds an Avro boolean type with optional properties. Set properties with `SchemaBuilder.PropBuilder.prop(String, String)`, and finalize with `endBoolean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`R` `endBoolean()` complete building this type, return control to context
`protected SchemaBuilder.BooleanBuilder<R>` `self()` a self-type for chaining builder subclasses.

### Methods inherited from class org.apache.avro.SchemaBuilder.PropBuilder

`prop, prop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### self

    protected SchemaBuilder.BooleanBuilder<R> self()

Description copied from class: `SchemaBuilder.PropBuilder`
a self-type for chaining builder subclasses. Concrete subclasses must return 'this'

Specified by:
  `self` in class `SchemaBuilder.PropBuilder<SchemaBuilder.BooleanBuilder<R>>`

#### endBoolean

    public R endBoolean()

complete building this type, return control to context